/// <reference types="react" />
/**
 * Handles the composition events for IME input and provides an unified
 * callback.
 */
export declare function useCompositionChange(callback: (e: React.ChangeEvent | React.CompositionEvent, ...others: any) => void): {
    onChange: (e: React.ChangeEvent, ...others: any) => void;
    onCompositionStart: (_e: React.CompositionEvent) => void;
    onCompositionEnd: (e: React.CompositionEvent, ...others: any) => void;
};
